package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import com.xy.service.AlgorithmService;
import io.swagger.annotations.Api;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 算法平台 feign
 * </p>
 *
 * @author xy
 * @since 2023-01-12
 */
@Api(tags = "算法平台feign")
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface AlgorithmFeign extends AlgorithmService {

}
