package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.AlgorithmGoodsDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 算法平台商品库 服务类
 * </p>
 *
 * @author hechunping
 * @since 2023-01-13
 */
@RestMappingController("algorithmGoods")
public interface AlgorithmGoodsService {
    @PostMapping("page")
    R<PageBean<AlgorithmGoodsDto.Vo>> page(@RequestBody AlgorithmGoodsDto.Page page);

    @PostMapping("save")
    R save(@RequestBody @Validated AlgorithmGoodsDto.Save save);

    @PostMapping("update")
    R update(@RequestBody @Validated AlgorithmGoodsDto.Update update);
}
