package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import com.xy.service.AlgorithmGoodsService;
import io.swagger.annotations.Api;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 算法平台商品库 feign
 * </p>
 *
 * @author hechunping
 * @since 2023-01-13
 */
@Api(tags = "算法平台商品库feign")
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface AlgorithmGoodsFeign extends AlgorithmGoodsService {

}
