package com.xy.entity;

import com.xy.base.BaseEntity2;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 算法平台商品库实体类
 * </p>
 *
 * @author hechunping
 */
@Data
public class AlgorithmGoods extends BaseEntity2<AlgorithmGoods> {

    @ApiModelProperty(value = "算法平台ID")
    private Long algorithmId;

    @ApiModelProperty(value = "条形码")
    private String barcode;

    @ApiModelProperty(value = "算法平台商品ID")
    private String skuId;

    @ApiModelProperty(value = "商品名称")
    private String skuName;

    @ApiModelProperty(value = "库类型")
    private String skuType;

    @ApiModelProperty(value = "商品图片")
    private String imgUrls;

    @ApiModelProperty(value = "建模商户ID")
    private Long mercId;

    @ApiModelProperty("状态;true=显示,false=隐藏")
    private Boolean status;

}

